package cat.gencat.demo.canigo3.richfaces4.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.stereotype.Service;

import cat.gencat.demo.canigo3.richfaces4.bean.model.TbUsuaris;
import cat.gencat.demo.canigo3.richfaces4.dao.UsuariDAO;

//TODO 3 Canvi del nom del Servei
@Service("usuariService")
@Lazy
public class UsuariService {

	//TODO 4 Canviar el dao a injectar
	@Autowired
	private UsuariDAO dao;
	
	//TODO 5 Per a cadascun dels mtodes pasar com a parmetre 
	public void altaUsuari(TbUsuaris usuari) {
		dao.save(usuari);
	}
	
	public void guardaUsuari(TbUsuaris usuari) {
		dao.update(usuari);
	}
	
	public void eliminaUsuari(TbUsuaris usuari) {
		dao.delete(usuari);
	}
	
	public List<TbUsuaris> getLlistaUsuaris(TbUsuaris usuari) {
		return dao.findAll();
	}

	public List<TbUsuaris> cercaUsuaris(String usuariNom, String usuariCognoms) {
		return dao.cercaUsuaris(usuariNom, usuariCognoms);
	}
}
